• Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

j2se 6.0 for mac

 
Mike Ottinger
Ranch Hand
Posts: 125
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi Guys,

My instructions state the following:


...the submission that you return must have been tested and shown to work under a production (not development) version of the Sun Microsystems' Java 2 platform and that platform must not have been superseded by a new production version for more than 18 months by the time you make your submission.


I develop on a Mac (10.4.10) and the latest jre for me is java 5.0. Knowing 6.0 is out there, do I have to find a way to develop on it? I run windows on my work laptop but really don't want to migrate my project there...

has anybody ran into this before? I'm wondering what people's thoughts are on this. Thanks!
 
Anne Crace
Ranch Hand
Posts: 223
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I think you are OK if you finish by next December (I may be wrong about the date), but the 18 month rule is correct. I am in the same predicament with the 5.0. On the other hand, it is my understanding that it only has to work under 6 should the date pass. You can develop it with 5 but make sure it runs under 6. There are a lot of posts on this topic, so try searching. Java 6 doesn't really have a lot of major changes that I can see so I am not too worried that mine will work with 6 even though I am developing with 1.5.1.12 (the last version!)
 
Mike Ottinger
Ranch Hand
Posts: 125
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Great, thanks for the info.
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic